<?php
require_once('includes/xmlparser.inc.php'); // provides a xml parser

Aseco::registerEvent('onStartup', 'simplemusic_loadsettings');
Aseco::registerEvent('onBeginRace', 'force_server_music');


function simplemusic_loadsettings()
	{
	global $settings, $songsettings, $song_file, $MusicSettings;
	$xml_parser = new Examsly();
	$settings = $xml_parser->parseXML('music_server.xml');
	$settings = $settings['SETTINGS'];
	$song_file = array();
	$MusicSettings['enable'] = $settings['MUSIC_ON'][0];
	$MusicSettings['song'] = $settings['SONG_FILES'][0]['SONG'];
	$MusicSettings['url'] = $settings['MUSIC_SERVER'][0];
	$MusicSettings['force'] = $settings['FORCE_MUSIC'][0];
	}
function force_server_music($aseco, $command)
	{
	global $MusicSettings, $songforce, $song_file, $newsong;
	$enabled = $MusicSettings['enable'];
	$song_file = $MusicSettings['song'];
	$songurl = $MusicSettings['url'];
	$songforce = (bool)$MusicSettings['force'];
	$thesong.= $song_file[array_rand($song_file)];
	$newsong = $songurl.$thesong;
	if($enabled=='yes')
	{
	$aseco->client->query("SetForcedMusic", $songforce, $newsong);
	$aseco->client->multiquery();
	}
	elseif($enabled=='no')
	{
	$shut = (bool)null;
	$down = "";
	$aseco->client->query("SetForcedMusic", $shut, $down);
	$aseco->client->multiquery();
	}
}
?>
